Bug 975181 - koji spin-livecd fails
koji spin-livecd fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 14:36 EDT by Stephen Brasher
Modified: 2013-07-31 19:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:49:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for kojid to allow spin-livecd to work correctly. (1.17 KB, patch)
2013-06-17 14:36 EDT, Stephen Brasher
no flags Details | Diff

  None (edit)
Description Stephen Brasher 2013-06-17 14:36:57 EDT
Created attachment 762141 [details]
Patch for kojid to allow spin-livecd to work correctly.

Description of problem:
When creating a livecd (without --scratch, which works okay), koji fails when adding rpms to the repo list.


Version-Release number of selected component (if applicable):
koji-1.8.0-1.fc17.noarch

How reproducible:
Execute 'koji spin-livecd' without --scratch.

Steps to Reproduce:
1. koji spin-livecd f17 2.0 f17-test i386 /home/steve/inaci6.ks
2.
3.

Actual results:
spin fails with following error:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/koji/daemon.py", line 1162, in runTask
    response = (handler.run(),)
  File "/usr/lib/python2.7/site-packages/koji/tasks.py", line 147, in run
    return koji.util.call_with_argcheck(self.handler, self.params, self.opts)
  File "/usr/lib/python2.7/site-packages/koji/util.py", line 139, in call_with_argcheck
    return func(*args, **kwargs)
  File "/usr/sbin/kojid", line 2342, in handler
    cachedir[1:]))
  File "/usr/sbin/kojid", line 2099, in getImagePackages
    pkgs = os.listdir(pkgpath)
OSError: [Errno 20] Not a directory: '/var/lib/mock/inac-test-build-38-28/root/tmp/koji-livecd/timedhosts/packages'

Expected results:
LiveCD added to repo.

Additional info:
There is a var/lib/mock/inac-test-build-38-28/root/tmp/koji-livecd/timedhosts file.

Patch to fix the problem attache.

Don't know for sure, but the spin-appliance may have the same problem.  I do not create appliances, so I don't know for sure.
Comment 1 Fedora End Of Life 2013-07-03 18:09:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:49:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.